|
@@ -0,0 +1,42 @@
|
|
|
+#!/bin/bash
|
|
|
+#
|
|
|
+# StarPU --- Runtime system for heterogeneous multicore architectures.
|
|
|
+#
|
|
|
+# Copyright (C) 2017 Université de Bordeaux
|
|
|
+#
|
|
|
+# StarPU is free software; you can redistribute it and/or modify
|
|
|
+# it under the terms of the GNU Lesser General Public License as published by
|
|
|
+# the Free Software Foundation; either version 2.1 of the License, or (at
|
|
|
+# your option) any later version.
|
|
|
+#
|
|
|
+# StarPU is distributed in the hope that it will be useful, but
|
|
|
+# WITHOUT ANY WARRANTY; without even the implied warranty of
|
|
|
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
|
|
|
+#
|
|
|
+# See the GNU Lesser General Public License in COPYING.LGPL for more details.
|
|
|
+
|
|
|
+# Test various LU options
|
|
|
+
|
|
|
+set -e
|
|
|
+
|
|
|
+PREFIX=$(dirname $0)
|
|
|
+
|
|
|
+$PREFIX/head -shape 0
|
|
|
+$PREFIX/head -shape 1
|
|
|
+$PREFIX/head -shape 2
|
|
|
+
|
|
|
+$PREFIX/head -cg
|
|
|
+
|
|
|
+# TODO: FIXME
|
|
|
+
|
|
|
+# segfault
|
|
|
+#$PREFIX/head -v1
|
|
|
+
|
|
|
+# (actually the default...)
|
|
|
+$PREFIX/head -v2
|
|
|
+
|
|
|
+# hang
|
|
|
+#$PREFIX/head -v3
|
|
|
+
|
|
|
+# hang
|
|
|
+#$PREFIX/head -v4
|